make-alpha
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: CVS psmith make: Various cleanups reported by people using the alpha


From: Greg McGary
Subject: Re: CVS psmith make: Various cleanups reported by people using the alpha release.
Date: 08 Jul 2002 09:06:31 -0700
User-agent: Gnus/5.09 (Gnus v5.9.0) Emacs/21.2

Greg McGary <address@hidden> writes:

> I can debug it this morning, if that helps you.

I determined that this is a generic failure.  Observe this makefile,
adapted from the order-only test by removing the use of the order-only
feature.  This test should be added to the testsuite.

----------------------------------------
foo: bar baz
        @echo '$$^ = $^'
        @echo '$$? = $?'
        touch $@

.PHONY: baz

bar baz:
        touch $@
----------------------------------------

The output of 2nd run is the same for stock 3.79.1, and for the latest
pre-3.80:

----------------------------------------
touch baz
$^ = bar baz
$? = 
touch foo
----------------------------------------

I need to stop work on this for now.

Greg

PS: this adds the missing newline to expected output:

Index: tests/scripts/features/order_only
===================================================================
RCS file: /cvs/make/tests/scripts/features/order_only,v
retrieving revision 1.1
diff -u -p -r1.1 order_only
--- tests/scripts/features/order_only   8 Jul 2002 13:05:03 -0000       1.1
+++ tests/scripts/features/order_only   8 Jul 2002 16:05:15 -0000
@@ -71,7 +71,7 @@ $answer = "touch bar\ntouch baz\n\$^ = b
 # TEST #2 -- now we do it again: baz is PHONY but foo should _NOT_ be updated
 
 &run_make_with_options($makefile2, "", &get_logfile);
-$answer = "touch baz\$^ = bar baz\n\$? = baz\n\$| = baz\ntouch foo\n";
+$answer = "touch baz\n\$^ = bar baz\n\$? = baz\n\$| = baz\ntouch foo\n";
 &compare_output($answer,&get_logfile(1));
 
 unlink(qw(foo bar baz));



reply via email to

[Prev in Thread] Current Thread [Next in Thread]